# =================================================================
# siconos configuration file.
# See http://www.cmake.org/cmake/help/git-master/manual/cmake-packages.7.html#creating-packages
# 
# This file have been generated during siconos install and
# may be used by another cmake project to retrieve all the configuration variables
# of siconos.
#
#
# Usage :
# 
# find_package(siconos)
# include_directories(${siconos_INCLUDE_DIRECTORIES})
# # ... define some target ...
# target_link_libraries(my_target ${siconos_LIBRARIES})
#
# A call to find_package(siconos) 
# will set the following variables :
#
# siconos_INCLUDE_DIR = where to find siconos headers
# siconos_INCLUDE_DIRS : The final set of include directories listed in one variable for use by client code. It includes both path to siconos headers and path to external libraries headers
# siconos_LIBRARIES : the libraries to link against to use siconos
# siconos_EXTERNAL_LIBRARIES : the libraries on which siconos libs depend.
# siconos_ROOT_DIR : where to find the base directory of siconos
# siconos_FOUND : true if the find process went fine
# 
# 
# Note : var names chosen as recommended here :
# http://www.cmake.org/cmake/help/v3.0/manual/cmake-developer.7.html#manual:cmake-developer(7))
#


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was Config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

# Name of the siconos package
set(PACKAGE_NAME siconos)

# set path to siconos installation
set_and_check(siconos_ROOT_DIR "/usr")

# set list of targets build by siconos project
set(installed_targets "externals;numerics;kernel;control;mechanics;io")

# set list of external libraries
set(${PACKAGE_NAME}_EXTERNAL_LIBRARIES "dl;/usr/lib64/libopenblas.so;/usr/lib64/libopenblas.so;libpthread.so;/usr/lib64/liblpsolve55.so;/usr/lib64/libdmumps.so;/usr/lib64/libmumps_common.so;/usr/lib64/libpord.so;/usr/lib64/libumfpack.so;/usr/lib64/libcolamd.so;/usr/lib64/libamd.so;/usr/lib64/libBulletDynamics.so;/usr/lib64/libBulletCollision.so;/usr/lib64/libLinearMath.so;/usr/lib64/libBulletSoftBody.so;debug;/usr/lib64/libhdf5.so;/usr/lib64/libz.so;/usr/lib64/libdl.so;/usr/lib64/libm.so;optimized;m;/usr/lib64/libgmp.so")
# include siconos project targets
include("/usr/share/siconos/cmake/siconosTargets.cmake")

set(HAS_ONE_LP_SOLVER TRUE)
set(HAS_BULLET 1)

set(HAS_PYTHON_WRAPPER ON)
set(SICONOS_PYTHON_EXECUTABLE /usr/bin/python)

# siconos libs are appended as targets.
# Note that thanks to the include above, this will add all external libraries on which
# the targets depend to the linker.
set(${PACKAGE_NAME}_LIBRARIES ${installed_targets})

# set list of include dirs for external libraries
set(${PACKAGE_NAME}_INCLUDE_DIRECTORIES /builddir/build/BUILD/siconos-master/externals/blas_lapack/cblas_header;/usr/include/openblas;/usr/include/lpsolve;/usr/include/MUMPS;/usr/include/suitesparse;/usr/include;/usr/include/bullet;/usr/lib64/python2.7/site-packages/numpy/core/include)
list(APPEND ${PACKAGE_NAME}_INCLUDE_DIRECTORIES /usr/include/siconos)

check_required_components(siconos)


